ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

RegAlloc.Linear.X86.FreeRegs

Description

Free regs map for i386

# Documentation

newtype FreeRegs

Constructors

FreeRegs Word32 |

Instances

Show FreeRegs |
FR FreeRegs |

noFreeRegs :: FreeRegs

releaseReg :: RealReg -> FreeRegs -> FreeRegs

initFreeRegs :: Platform -> FreeRegs

getFreeRegs :: Platform -> RegClass -> FreeRegs -> [RealReg]

allocateReg :: RealReg -> FreeRegs -> FreeRegs